libetonyek::IWORKXMLContextElement Class Reference documentation

Protected Member Functions | Private Attributes | List of all members
libetonyek::IWORKXMLContextElement Class Reference

`#include <IWORKXMLContextBase.h>`

Inheritance diagram for libetonyek::IWORKXMLContextElement:

## Protected Member Functions
| IWORKXMLContextElement (IWORKXMLParserState &)
void | attribute (int name, const char *value) override
| Process an attribute. More...
void | text (const char *value) override
| Process textual content of an element. More...
const boost::optional< ID_t > & | getId () const
Protected Member Functions inherited from libetonyek::IWORKXMLContextMinimal
| IWORKXMLContextMinimal ()
void | startOfElement () override
| Signalize the start of an element. More...
virtual void | endOfAttributes ()
void | endOfElement () override
| Signalize the end of an element. More...

## Private Attributes
boost::optional< ID_t > | m_id

## Additional Inherited Members
Public Member Functions inherited from libetonyek::IWORKXMLContext
virtual | ~IWORKXMLContext ()=0
virtual IWORKXMLContextPtr_t | element (int name)=0
| Create a context for parsing a child element. More...

## Constructor & Destructor Documentation

## ◆ IWORKXMLContextElement()

libetonyek::IWORKXMLContextElement::IWORKXMLContextElement | ( | IWORKXMLParserState & |  | ) |
| explicitprotected

## Member Function Documentation

## ◆ attribute()

void libetonyek::IWORKXMLContextElement::attribute | ( | int | name,
|  | const char * | value
| ) |  |
| overrideprotectedvirtual

Process an attribute.

Attributes are fed to the current element's context one by one.

Implements libetonyek::IWORKXMLContext.

## ◆ getId()

const boost::optional< ID_t > & libetonyek::IWORKXMLContextElement::getId | ( |  | ) | const
| protected

## ◆ text()

void libetonyek::IWORKXMLContextElement::text | ( | const char * | value | ) |
| overrideprotectedvirtual

Process textual content of an element.

This function can be called more than once if the element has mixed content.

Implements libetonyek::IWORKXMLContext.

## Member Data Documentation

## ◆ m_id

boost::optional<ID_t> libetonyek::IWORKXMLContextElement::m_id
| private

Referenced by attribute(), and getId().

The documentation for this class was generated from the following files:

- IWORKXMLContextBase.h
- IWORKXMLContextBase.cpp